# Put Inference Endpoint Rate Limits

`PUT /api/2.0/serving-endpoints/{name}/rate-limits`

Deprecated: Please use AI Gateway to manage rate limits instead.

API scopes: model-serving

## Path parameters

- `name` (string, optional)
  The name of the serving endpoint whose rate limits are being updated. This field is required.
  Constraints: `[ 1 .. 63 ] characters`

## Request body

- `rate_limits` (array of object, optional)
  The list of endpoint rate limits.
  - `calls` (int64, optional)
    Used to specify how many calls are allowed for a key within the renewal_period.
    Example: `15`
  - `key` (string, optional)
    Key field for a serving endpoint rate limit. Currently, only 'user' and 'endpoint' are supported, with 'endpoint' being the default if not specified.
  - `renewal_period` (string, optional)
    Renewal period field for a serving endpoint rate limit. Currently, only 'minute' is supported.

## Returns

- `rate_limits` (array of object, optional)
  The list of endpoint rate limits.
  - `calls` (int64, optional)
    Used to specify how many calls are allowed for a key within the renewal_period.
    Example: `15`
  - `key` (string, optional)
    Key field for a serving endpoint rate limit. Currently, only 'user' and 'endpoint' are supported, with 'endpoint' being the default if not specified.
  - `renewal_period` (string, optional)
    Renewal period field for a serving endpoint rate limit. Currently, only 'minute' is supported.

## Response

```json
{
  "rate_limits": [
    {
      "calls": 15,
      "key": "string",
      "renewal_period": "string"
    }
  ]
}
```

